package cn.com.qmth.examcloud.starters.face.verify.test;

import cn.com.qmth.examcloud.starters.face.verify.FaceVerifyProperties;
import cn.com.qmth.examcloud.starters.face.verify.common.JsonHelper;
import cn.com.qmth.examcloud.starters.face.verify.model.FaceResult;
import cn.com.qmth.examcloud.starters.face.verify.model.param.*;
import cn.com.qmth.examcloud.starters.face.verify.service.impl.FaceVerifyServiceImpl;
import org.junit.Test;

public class FaceApiTest {

    @Test
    public void demo() throws Exception {
        FaceVerifyProperties properties = new FaceVerifyProperties();
        properties.setFacePlusKey("xxx");
        properties.setFacePlusSecret("xxx");
        properties.setBaiduKey("xxx");
        properties.setBaiduSecret("xxx");
        properties.setDefaultPrivateBaiduApi(true);
        properties.setPrivateBaiduAppId("test");
        // properties.setPrivateBaiduUrlPrefix("http://192.168.20.253");
        properties.setPrivateBaiduUrlPrefix("https://baidu-face.qmth.com.cn");
        // properties.setPrivateBaiduUrlPrefix("http://192.168.12.241:8300");
        // properties.setBaiduExpectFaceCompareScore(70d);
        FaceVerifyServiceImpl faceVerifyService = new FaceVerifyServiceImpl();
        faceVerifyService.setProperties(properties);

        String image1 = "https://ecs-test-static.qmth.com.cn//capture_photo/temp/001.jpg";
        String image2 = "https://ecs-test-static.qmth.com.cn//capture_photo/temp/002.jpg";
        String image3 = "https://ecs-test-static.qmth.com.cn//capture_photo/temp/003.jpg";
        String image4 = "https://ecs-test-static.qmth.com.cn//capture_photo/temp/004.jpg";
        String image5 = "https://ecs-test-static.qmth.com.cn//capture_photo/temp/005.jpg";
        String image6 = "https://ecs-test-static.qmth.com.cn//capture_photo/temp/006.jpg";
        String image7 = "D:\\home\\test\\test.jpg";
        String image8 = "8754a4180b540110a110fbfa9f0aec18";
        ImageParm imageParm1 = new ImageUrlParm(image3);
        ImageParm imageParm2 = new ImageFileParm(image7);
        ImageParm imageParm3 = new ImageTokenParm(image8);

        FaceResult result1 = faceVerifyService.faceVerify(FaceParam.builder().images(imageParm1).apiType(FaceApiType.PRIVATE_BAIDU_API));
        System.out.println("==============================\n" + new JsonHelper().toJson(result1));

        FaceResult result2 = faceVerifyService.faceDetect(FaceParam.builder().images(imageParm1));
        System.out.println("==============================\n" + new JsonHelper().toJson(result2));

        FaceResult result3 = faceVerifyService.faceCompare(FaceParam.builder().images(imageParm1, imageParm2));
        System.out.println("==============================\n" + new JsonHelper().toJson(result3));
    }

}
